Loading...
Searching...
No Matches
HttpClientDataProvider::HttpClientHeadDataProvider Class Reference

The HTTP head data provider class. More...

`#include <HttpClientHeadDataProvider.qc.dox.h>`

Inherits AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (HTTPClient http)
| Creates the object from an HTTP connection.
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Public Attributes

HTTPClient | http
| HTTP connection.
const | ProviderInfo
| Provider info.
const | ProviderSummaryInfo
| Provider summary info.
const | RequestType = new HttpClientCallWithoutBodyRequestDataType()
| Request type.
const | ResponseType = new HttpClientCallResponseDataType()
| Response type.

## Protected Member Functions

auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response. More...
*AbstractDataProviderType | getRequestTypeImpl ()
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message. More...

## Detailed Description

The HTTP head data provider class.

## Member Function Documentation

## doRequestImpl()

auto HttpClientDataProvider::HttpClientHeadDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options
| ) |  |

protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options after processing by validateRequestOptions()

Returns
  the response to the request

## getRequestTypeImpl()

*AbstractDataProviderType HttpClientDataProvider::HttpClientHeadDataProvider::getRequestTypeImpl | ( |  | ) |

protected

Makes a request and returnscallwithoutbody Returns the description of a successful request message, if any

Returns
  the request type for this provider

## getResponseTypeImpl()

*AbstractDataProviderType HttpClientDataProvider::HttpClientHeadDataProvider::getResponseTypeImpl | ( |  | ) |

protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message